package com.docus.server.enums;

import com.docus.infrastructure.core.db.enums.IIntegerEnum;

public enum FlagEnum implements IIntegerEnum {
    INSERT(1, "新增"),
    UPDATE(2, "更新"),
    DELETE(3, "删除");

    private Integer value;
    private String display;

    FlagEnum(Integer value, String display) {
        this.value = value;
        this.display = display;
    }

    @Override
    public Integer getValue() {
        return value;
    }

    @Override
    public String getDisplay() {

        return display;
    }

    public static FlagEnum fromValue(Integer value) {
        return IIntegerEnum.fromValue(FlagEnum.class, value);
    }
}
